Module | Ramaze::Helper::Auth
In: | lib/ramaze/helper/auth.rb

The Auth helper can be used for authentication without using a model. This can be useful when working with very basic applications that don‘t require database access.

If you‘re looking for a way to do authentication using a model you should take a look at Helper::User instead.

### Methods

included login logout

### Included Modules

Ramaze::Traited

### Public Class methods

included(into)

### Public Instance methods

login()

Log a user in based on the :username and :password key in the request hash.

@return [String] The login template in case the user‘s login data was

     incorrect.

logout()

Log the user out and redirect him back to the previous page.

[Validate]